program ex1_print_array
!
!
! Purpose
! =======
!
!   This program is intended to demonstrate the use of subroutine PRINT_ARRAY
!   in module Print_Procedures for printing real vectors and matrices.
!
!
! LATEST REVISION : 01/12/2023
!
! ================================================================================================
!
!
! USED MODULES 
! ============
!
    use Statpack, only : i4b, stnd, print_array
!   
!
! STRONG TYPING IMPOSED 
! =====================
!    
    implicit none
!   
!   
! PARAMETERS 
! ==========
!
! prtunit IS THE PRINTING UNIT, m AND n ARE THE DIMENSIONS OF THE MATRIX.
! n IS ALSO THE DIMENSION OF THE VECTOR.
!
    integer(i4b), parameter :: prtunit=6, m=20, n=5
!
    character(len=*), parameter :: name_proc='Example 1 of print_array'
!   
!
! SPECIFICATIONS FOR VARIABLES
! ============================
!
    real(stnd)  :: real_matrix(m,n), real_vector(m)
!   
!
! EXECUTABLE STATEMENTS
! =====================
!
!
!   PRINT LABEL OF THE EXAMPLE.
!
    write (prtunit,*)
    write (prtunit,*) name_proc,' :'
    write (prtunit,*) repeat('*', len(name_proc) )
    write (prtunit,*)
!
!   GENERATE A RANDOM REAL MATRIX .
!
    call random_number( real_matrix )
!
!   GENERATE A RANDOM REAL VECTOR .
!
    call random_number( real_vector )
!
!   PRINT THE RANDOM REAL MATRIX .
!
    call print_array( real_matrix, title='real_matrix' )
!
!   PRINT THE RANDOM REAL VECTOR .
!
    call print_array( real_vector, title='real_vector' )
!
!
! END OF PROGRAM ex1_print_array
! ==============================
!
end program ex1_print_array
